[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.CanShareImage

CanShareImage - returns True if specified class of image can be shared.

## Declaration

Source position: graphics.pp line 1260

`protected function TRasterImage.CanShareImage(`
`AClass: TSharedRasterImageClass`
`):Boolean; virtual;`

## Arguments

`AClass` |  | Class type requested in the method.

## Function result

True is the image class is shareable.

## Description

CanShareImage is a Boolean function which indicate if the raster image uses a shareable image class. The return value is True when AClass matches the value returned from the GetSharedImageClass method, and is not TSharedCustomBitmap. Only images of the same class type can be shared.